cURL
curl --request POST \
--url https://api.contiguity.com/send/text/reactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reaction": "love",
"action": "add"
}
'import requests
url = "https://api.contiguity.com/send/text/reactions"
payload = {
"reaction": "love",
"action": "add"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reaction: 'love', action: 'add'})
};
fetch('https://api.contiguity.com/send/text/reactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.contiguity.com/send/text/reactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'reaction' => 'love',
'action' => 'add'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.contiguity.com/send/text/reactions"
payload := strings.NewReader("{\n \"reaction\": \"love\",\n \"action\": \"add\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.contiguity.com/send/text/reactions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reaction\": \"love\",\n \"action\": \"add\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.contiguity.com/send/text/reactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reaction\": \"love\",\n \"action\": \"add\"\n}"
response = http.request(request)
puts response.read_body{
"id": "req_xxxxxxxxxxxxxxxx",
"timestamp": 1790546990555,
"api_version": "v2026.9.27",
"object": "response",
"data": {
"message_id": "text_xyz7fsdlkv89"
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1790546990555,
"api_version": "v2026.9.27",
"object": "error",
"data": {
"error": "Bad Request",
"status": 400
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1790546990555,
"api_version": "v2026.9.27",
"object": "error",
"data": {
"error": "Unauthorized",
"status": 401
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1790546990555,
"api_version": "v2026.9.27",
"object": "error",
"data": {
"error": "Forbidden",
"status": 403
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1790546990555,
"api_version": "v2026.9.27",
"object": "error",
"data": {
"error": "Internal Server Error",
"status": 500
}
}Text
Add or Remove Reactions
Add or remove a reaction to an SMS/MMS message
POST
/
text
/
reactions
cURL
curl --request POST \
--url https://api.contiguity.com/send/text/reactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reaction": "love",
"action": "add"
}
'import requests
url = "https://api.contiguity.com/send/text/reactions"
payload = {
"reaction": "love",
"action": "add"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reaction: 'love', action: 'add'})
};
fetch('https://api.contiguity.com/send/text/reactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.contiguity.com/send/text/reactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'reaction' => 'love',
'action' => 'add'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.contiguity.com/send/text/reactions"
payload := strings.NewReader("{\n \"reaction\": \"love\",\n \"action\": \"add\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.contiguity.com/send/text/reactions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reaction\": \"love\",\n \"action\": \"add\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.contiguity.com/send/text/reactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reaction\": \"love\",\n \"action\": \"add\"\n}"
response = http.request(request)
puts response.read_body{
"id": "req_xxxxxxxxxxxxxxxx",
"timestamp": 1790546990555,
"api_version": "v2026.9.27",
"object": "response",
"data": {
"message_id": "text_xyz7fsdlkv89"
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1790546990555,
"api_version": "v2026.9.27",
"object": "error",
"data": {
"error": "Bad Request",
"status": 400
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1790546990555,
"api_version": "v2026.9.27",
"object": "error",
"data": {
"error": "Unauthorized",
"status": 401
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1790546990555,
"api_version": "v2026.9.27",
"object": "error",
"data": {
"error": "Forbidden",
"status": 403
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1790546990555,
"api_version": "v2026.9.27",
"object": "error",
"data": {
"error": "Internal Server Error",
"status": 500
}
}
Contiguity delivers reactions by sending a special message to the recipient’s device. On older devices that do not support reaction messages, the recipient will instead receive a regular text in the format:
{Reaction} "{Message}" — for example, Loved "Hello, world!"
Reactions are billed as a single SMS on the Usage tier, included in the Unlimited plan, and deducted from your quota on the Free tier.
There are no additional charges. Both adding and removing reactions count toward your quota.
There are no additional charges. Both adding and removing reactions count toward your quota.

Authorizations
Body
application/json
Response
Send a reaction to a message via SMS! Use either message_id to react to a message, or provide message information manually.
Was this page helpful?